{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function get_property, set_property, msg, prod_spec_comm\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\n* VALIDATE THE DOPANTS\r\nVoid = set_property( @window, '@LayerOn', get_property( @window, '@CurSameLayer' ) + 1 )\r\nValid = prod_spec_comm( \"VALIDATE_DOPANT\" )\r\nif Valid else\r\n   return 0\r\nend\r\nValid = prod_spec_comm( \"VALIDATE_MINMAX\" )\r\nif Valid else\r\n   return 0\r\nend\r\n\r\nEpiControls = get_property( @window, '@EpiControls' )\r\nEpiPromptCnt = get_property( @window, '@EpiPromptCnt' )\r\nEpiDataOnWindow = get_property( EpiControls, 'LIST':@rm:'LIST':@rm:'INVALUE' )\r\nconvert @rm to @vm in EpiDataOnWindow\r\nif EpiDataOnWindow = @fm:@vm:@fm:str( @vm, EpiPromptCnt-2 ) and get_property( @window, '@EpiInfo' ) = '' then\r\n    * no epi information for current same reactor layer don't save\r\n    end_dialog( @window, 'NULL' )\r\nend else\r\n    if EpiDataOnWindow = @fm:@vm:@fm:str( @vm, EpiPromptCnt-2 ) then\r\n        MsgInfo = ''\r\n        MsgInfo<micon$> = 'H'\r\n        MsgInfo<mtext$> = 'You cannot have a blank same reactor layer...'\r\n        Void = msg( '', MsgInfo )\r\n    end else\r\n\t\tCurSameLayerNo = get_property( @window, '@CurSameLayer' )\r\n\t\tAllSameLayers  = get_property( @window, '@EpiInfo' )\r\n\t\tAllSameLayers = fieldstore( AllSameLayers, char(248), CurSameLayerNo, 1, EpiDataOnWindow )\r\n\t\tVoid = set_property( @window, '@EpiInfo', AllSameLayers )\r\n\t\tEpiInfo = get_property( @window, '@EpiInfo' ) \r\n\t    convert @fm to @svm in EpiInfo ;* for conc mess\r\n\t    end_dialog( @window, EpiInfo )\r\n    end\r\nend\r\nRETURN 0"
        }
    }
}